import java.awt.*;
import java.util.List;
import javax.swing.*;

import com.mindfusion.drawing.*;
import com.mindfusion.charting.*;
import com.mindfusion.charting.swing.*;


public class MinApp
{
	Chart createChart()
	{
		BarChart chart = new BarChart();
		
		chart.getXAxis().setInterval(1.0);
		chart.getYAxis().setMaxValue(8.0);
		chart.setShowLegend(false);

		// charts read data from objects that implement the Series interface.
		// you can use pre-defined series classes, such as BarSeries below,
		// or implement the interface in existing model class to avoid copying data.
		BarSeries series1 = new BarSeries(
			List.of(2.0, 5.0, 3.0, 4.0), null, null);
		BarSeries series2 = new BarSeries(
			List.of(5.0, 3.0, 4.0, 2.0), null, null);

		chart.getSeries().add(series1);
		chart.getSeries().add(series2);

		// assign one brush per series
		PerSeriesStyle seriesStyle = new PerSeriesStyle();
		seriesStyle.setFills(
			Colors.LightBlue, Colors.LightGreen);
		chart.getPlot().setSeriesStyle(seriesStyle);

		return chart;
	}

	MinApp()
	{
		JFrame frame = new JFrame();
		frame.setTitle("MindFusion.Charting sample: Minimal Application");
		frame.setSize(800, 600);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		// add chart component to the middle of the frame
		frame.getContentPane().add(
			createChart(), BorderLayout.CENTER);

		JTextArea description = new JTextArea(
			"This example demonstrates the minimal setup that lets you display " +
			"a Chart component in a Java Swing application.");
		description.setEditable(false);
		frame.getContentPane().add(
			description, BorderLayout.SOUTH);

		frame.setVisible(true);
	}

	static public void main(String[] args)
	{
		SwingUtilities.invokeLater(MinApp::new);
	}
}
